# Makefile.in generated by automake 1.7.2 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 1.349.2.6 $ 
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
ACLOCAL = @ACLOCAL@
ALLOCA = @ALLOCA@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
ARTSCCONFIG = @ARTSCCONFIG@
AUTOCONF = @AUTOCONF@
AUTODIRS = @AUTODIRS@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CONF_FILES = @CONF_FILES@
CONVENIENCE_LTDL_FALSE = @CONVENIENCE_LTDL_FALSE@
CONVENIENCE_LTDL_TRUE = @CONVENIENCE_LTDL_TRUE@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DOJAVA_FALSE = @DOJAVA_FALSE@
DOJAVA_TRUE = @DOJAVA_TRUE@
DOXYGEN = @DOXYGEN@
DOXYGEN_PROJECT_NAME = @DOXYGEN_PROJECT_NAME@
DOXYGEN_PROJECT_NUMBER = @DOXYGEN_PROJECT_NUMBER@
DO_WE_HAVE_SSL = @DO_WE_HAVE_SSL@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
EXTRA_SUBDIRS = @EXTRA_SUBDIRS@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GMSGFMT = @GMSGFMT@
HAVE_MITSHM = @HAVE_MITSHM@
HELP_SUBDIR = @HELP_SUBDIR@
ICE_RLIB = @ICE_RLIB@
ICE_SUBDIR = @ICE_SUBDIR@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_LTDL_FALSE = @INSTALL_LTDL_FALSE@
INSTALL_LTDL_TRUE = @INSTALL_LTDL_TRUE@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
KDECONFIG = @KDECONFIG@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_FORCE_INLINE = @KDE_FORCE_INLINE@
KDE_HAS_DOXYGEN = @KDE_HAS_DOXYGEN@
KDE_HAVE_DOT = @KDE_HAVE_DOT@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
KJAVA_POLICYPATH = @KJAVA_POLICYPATH@
LDAP_INCS = @LDAP_INCS@
LDAP_LIBS = @LDAP_LIBS@
LDAP_RPATH = @LDAP_RPATH@
LDFLAGS = @LDFLAGS@
LIBADD_DL = @LIBADD_DL@
LIBART_CFLAGS = @LIBART_CFLAGS@
LIBART_LIBS = @LIBART_LIBS@
LIBART_RPATH = @LIBART_RPATH@
LIBASOUND = @LIBASOUND@
LIBBZ2 = @LIBBZ2@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBFAM = @LIBFAM@
LIBICE = @LIBICE@
LIBJPEG = @LIBJPEG@
LIBOBJS = @LIBOBJS@
LIBPCRE = @LIBPCRE@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBRESOLV = @LIBRESOLV@
LIBS = @LIBS@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBSSL = @LIBSSL@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBVOLMGT = @LIBVOLMGT@
LIBXINERAMA = @LIBXINERAMA@
LIBXML_CFLAGS = @LIBXML_CFLAGS@
LIBXML_LIBS = @LIBXML_LIBS@
LIBXML_RPATH = @LIBXML_RPATH@
LIBXSLT_CFLAGS = @LIBXSLT_CFLAGS@
LIBXSLT_LIBS = @LIBXSLT_LIBS@
LIBXSLT_RPATH = @LIBXSLT_RPATH@
LIBZ = @LIBZ@
LIB_CUPS = @LIB_CUPS@
LIB_DMALLOC = @LIB_DMALLOC@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LIB_XRENDER = @LIB_XRENDER@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MEINPROC_DEP = @MEINPROC_DEP@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
NOREPO = @NOREPO@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PCRECFLAGS = @PCRECFLAGS@
PCSC_INCLUDES = @PCSC_INCLUDES@
PCSC_LDFLAGS = @PCSC_LDFLAGS@
QNAMESPACE_H = @QNAMESPACE_H@
QTDOCDIR = @QTDOCDIR@
QTE_NORTTI = @QTE_NORTTI@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
REPO = @REPO@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SMARTCARDDIR = @SMARTCARDDIR@
SSL_INCLUDES = @SSL_INCLUDES@
SSL_LDFLAGS = @SSL_LDFLAGS@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__quote = @am__quote@
arts_SUBDIR_included_FALSE = @arts_SUBDIR_included_FALSE@
arts_SUBDIR_included_TRUE = @arts_SUBDIR_included_TRUE@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
cups_modeldir = @cups_modeldir@
datadir = @datadir@
dcop_SUBDIR_included_FALSE = @dcop_SUBDIR_included_FALSE@
dcop_SUBDIR_included_TRUE = @dcop_SUBDIR_included_TRUE@
doc_SUBDIR_included_FALSE = @doc_SUBDIR_included_FALSE@
doc_SUBDIR_included_TRUE = @doc_SUBDIR_included_TRUE@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
include_BZIP2_FALSE = @include_BZIP2_FALSE@
include_BZIP2_TRUE = @include_BZIP2_TRUE@
include_LDAP_FALSE = @include_LDAP_FALSE@
include_LDAP_TRUE = @include_LDAP_TRUE@
include_SVGICONS_FALSE = @include_SVGICONS_FALSE@
include_SVGICONS_TRUE = @include_SVGICONS_TRUE@
include_TIFF_MODULES_FALSE = @include_TIFF_MODULES_FALSE@
include_TIFF_MODULES_TRUE = @include_TIFF_MODULES_TRUE@
include_bzip2_FALSE = @include_bzip2_FALSE@
include_bzip2_TRUE = @include_bzip2_TRUE@
include_cups_SUBDIR_FALSE = @include_cups_SUBDIR_FALSE@
include_cups_SUBDIR_TRUE = @include_cups_SUBDIR_TRUE@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
interfaces_SUBDIR_included_FALSE = @interfaces_SUBDIR_included_FALSE@
interfaces_SUBDIR_included_TRUE = @interfaces_SUBDIR_included_TRUE@
kab_SUBDIR_included_FALSE = @kab_SUBDIR_included_FALSE@
kab_SUBDIR_included_TRUE = @kab_SUBDIR_included_TRUE@
kabc_SUBDIR_included_FALSE = @kabc_SUBDIR_included_FALSE@
kabc_SUBDIR_included_TRUE = @kabc_SUBDIR_included_TRUE@
kate_SUBDIR_included_FALSE = @kate_SUBDIR_included_FALSE@
kate_SUBDIR_included_TRUE = @kate_SUBDIR_included_TRUE@
kcert_SUBDIR_included_FALSE = @kcert_SUBDIR_included_FALSE@
kcert_SUBDIR_included_TRUE = @kcert_SUBDIR_included_TRUE@
kconf_update_SUBDIR_included_FALSE = @kconf_update_SUBDIR_included_FALSE@
kconf_update_SUBDIR_included_TRUE = @kconf_update_SUBDIR_included_TRUE@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kdecore_SUBDIR_included_FALSE = @kdecore_SUBDIR_included_FALSE@
kdecore_SUBDIR_included_TRUE = @kdecore_SUBDIR_included_TRUE@
kded_SUBDIR_included_FALSE = @kded_SUBDIR_included_FALSE@
kded_SUBDIR_included_TRUE = @kded_SUBDIR_included_TRUE@
kdefx_SUBDIR_included_FALSE = @kdefx_SUBDIR_included_FALSE@
kdefx_SUBDIR_included_TRUE = @kdefx_SUBDIR_included_TRUE@
kdeprint_SUBDIR_included_FALSE = @kdeprint_SUBDIR_included_FALSE@
kdeprint_SUBDIR_included_TRUE = @kdeprint_SUBDIR_included_TRUE@
kdesu_SUBDIR_included_FALSE = @kdesu_SUBDIR_included_FALSE@
kdesu_SUBDIR_included_TRUE = @kdesu_SUBDIR_included_TRUE@
kdeui_SUBDIR_included_FALSE = @kdeui_SUBDIR_included_FALSE@
kdeui_SUBDIR_included_TRUE = @kdeui_SUBDIR_included_TRUE@
kdewidgets_SUBDIR_included_FALSE = @kdewidgets_SUBDIR_included_FALSE@
kdewidgets_SUBDIR_included_TRUE = @kdewidgets_SUBDIR_included_TRUE@
kdoctools_SUBDIR_included_FALSE = @kdoctools_SUBDIR_included_FALSE@
kdoctools_SUBDIR_included_TRUE = @kdoctools_SUBDIR_included_TRUE@
khtml_SUBDIR_included_FALSE = @khtml_SUBDIR_included_FALSE@
khtml_SUBDIR_included_TRUE = @khtml_SUBDIR_included_TRUE@
kimgio_SUBDIR_included_FALSE = @kimgio_SUBDIR_included_FALSE@
kimgio_SUBDIR_included_TRUE = @kimgio_SUBDIR_included_TRUE@
kinit_SUBDIR_included_FALSE = @kinit_SUBDIR_included_FALSE@
kinit_SUBDIR_included_TRUE = @kinit_SUBDIR_included_TRUE@
kio_SUBDIR_included_FALSE = @kio_SUBDIR_included_FALSE@
kio_SUBDIR_included_TRUE = @kio_SUBDIR_included_TRUE@
kioslave_SUBDIR_included_FALSE = @kioslave_SUBDIR_included_FALSE@
kioslave_SUBDIR_included_TRUE = @kioslave_SUBDIR_included_TRUE@
kjs_SUBDIR_included_FALSE = @kjs_SUBDIR_included_FALSE@
kjs_SUBDIR_included_TRUE = @kjs_SUBDIR_included_TRUE@
kparts_SUBDIR_included_FALSE = @kparts_SUBDIR_included_FALSE@
kparts_SUBDIR_included_TRUE = @kparts_SUBDIR_included_TRUE@
ksmartcard_SUBDIR_included_FALSE = @ksmartcard_SUBDIR_included_FALSE@
ksmartcard_SUBDIR_included_TRUE = @ksmartcard_SUBDIR_included_TRUE@
kspell_SUBDIR_included_FALSE = @kspell_SUBDIR_included_FALSE@
kspell_SUBDIR_included_TRUE = @kspell_SUBDIR_included_TRUE@
kstyles_SUBDIR_included_FALSE = @kstyles_SUBDIR_included_FALSE@
kstyles_SUBDIR_included_TRUE = @kstyles_SUBDIR_included_TRUE@
kutils_SUBDIR_included_FALSE = @kutils_SUBDIR_included_FALSE@
kutils_SUBDIR_included_TRUE = @kutils_SUBDIR_included_TRUE@
kwallet_SUBDIR_included_FALSE = @kwallet_SUBDIR_included_FALSE@
kwallet_SUBDIR_included_TRUE = @kwallet_SUBDIR_included_TRUE@
libdir = @libdir@
libexecdir = @libexecdir@
libkmid_SUBDIR_included_FALSE = @libkmid_SUBDIR_included_FALSE@
libkmid_SUBDIR_included_TRUE = @libkmid_SUBDIR_included_TRUE@
libkscreensaver_SUBDIR_included_FALSE = @libkscreensaver_SUBDIR_included_FALSE@
libkscreensaver_SUBDIR_included_TRUE = @libkscreensaver_SUBDIR_included_TRUE@
libltdl_SUBDIR_included_FALSE = @libltdl_SUBDIR_included_FALSE@
libltdl_SUBDIR_included_TRUE = @libltdl_SUBDIR_included_TRUE@
licenses_SUBDIR_included_FALSE = @licenses_SUBDIR_included_FALSE@
licenses_SUBDIR_included_TRUE = @licenses_SUBDIR_included_TRUE@
localstatedir = @localstatedir@
mandir = @mandir@
mimetypes_SUBDIR_included_FALSE = @mimetypes_SUBDIR_included_FALSE@
mimetypes_SUBDIR_included_TRUE = @mimetypes_SUBDIR_included_TRUE@
oldincludedir = @oldincludedir@
path_su = @path_su@
pics_SUBDIR_included_FALSE = @pics_SUBDIR_included_FALSE@
pics_SUBDIR_included_TRUE = @pics_SUBDIR_included_TRUE@
prefix = @prefix@
program_transform_name = @program_transform_name@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
x_includes = @x_includes@
x_libraries = @x_libraries@

@include_cups_SUBDIR_TRUE@CUPSSUBDIR = cups

SUBDIRS = . management lpdunix $(CUPSSUBDIR) lpr rlpr ext filters pics tools tests

INCLUDES = -I$(top_srcdir)/kdefx -I$(top_srcdir)/kded -I$(top_srcdir) $(all_includes)

kde_module_LTLIBRARIES = kded_kdeprintd.la

#>- kded_kdeprintd_la_SOURCES = kdeprintd.skel kdeprintd.cpp kprintprocess.cpp
#>+ 1
kded_kdeprintd_la_SOURCES= kdeprintd.cpp kprintprocess.cpp kdeprintd_skel.cpp
kded_kdeprintd_la_LIBADD = $(LIB_KIO)
kded_kdeprintd_la_LDFLAGS = $(all_libraries) -module -avoid-version

#kded_kdeprintd_la_METASOURCES = AUTO
lib_LTLIBRARIES = libkdeprint.la

#>- libkdeprint_la_SOURCES = kmfactory.cpp kmjob.cpp kmjobmanager.cpp kmmanager.cpp kmprinter.cpp \
#>- 		         kmuimanager.cpp kmvirtualmanager.cpp driver.cpp driveritem.cpp droptionview.cpp \
#>- 			 driverview.cpp maticscanner.cpp maticparser.cpp matic.cpp kmdbentry.cpp \
#>- 		         kprintpreview.cpp kprintdialog.cpp kprinter.cpp kprinterimpl.cpp kprintdialogpage.cpp \
#>- 			 kpcopiespage.cpp kpdriverpage.cpp kprinterpropertydialog.cpp kpgeneralpage.cpp kpqtpage.cpp \
#>- 			 kmthreadjob.cpp kpipeprocess.cpp kpfilterpage.cpp \
#>- 			 kmspecialmanager.cpp kdeprintcheck.cpp plugincombobox.cpp kpreloadobject.cpp kfilelist.cpp \
#>- 			 kprintaction.cpp kpfileselectpage.cpp treecombobox.cpp kmfactory.skel kxmlcommand.cpp \
#>- 			 util.cpp printerfilter.cpp marginpreview.cpp marginvaluewidget.cpp marginwidget.cpp \
#>- 			 kpmarginpage.cpp messagewindow.cpp posterpreview.cpp kpposterpage.cpp
#>+ 10
libkdeprint_la_SOURCES=kmfactory.cpp kmjob.cpp kmjobmanager.cpp kmmanager.cpp kmprinter.cpp \
		         kmuimanager.cpp kmvirtualmanager.cpp driver.cpp driveritem.cpp droptionview.cpp \
			 driverview.cpp maticscanner.cpp maticparser.cpp matic.cpp kmdbentry.cpp \
		         kprintpreview.cpp kprintdialog.cpp kprinter.cpp kprinterimpl.cpp kprintdialogpage.cpp \
			 kpcopiespage.cpp kpdriverpage.cpp kprinterpropertydialog.cpp kpgeneralpage.cpp kpqtpage.cpp \
			 kmthreadjob.cpp kpipeprocess.cpp kpfilterpage.cpp \
			 kmspecialmanager.cpp kdeprintcheck.cpp plugincombobox.cpp kpreloadobject.cpp kfilelist.cpp \
			 kprintaction.cpp kpfileselectpage.cpp treecombobox.cpp  kxmlcommand.cpp \
			 util.cpp printerfilter.cpp marginpreview.cpp marginvaluewidget.cpp marginwidget.cpp \
			 kpmarginpage.cpp messagewindow.cpp posterpreview.cpp kpposterpage.cpp kmfactory_skel.cpp


libkdeprint_la_LDFLAGS = $(all_libraries) -version-info 5:0:1 -no-undefined
libkdeprint_la_LIBADD = $(LIB_KPARTS) $(LIBZ)
libkdeprint_la_DEPENDENCIES = $(LIB_KPARTS) 
#>- libkdeprint_la_METASOURCES = AUTO

noinst_HEADERS = kmdbentry.h kmfactory.h \
		 kmuimanager.h kmvirtualmanager.h driveritem.h droptionview.h \
		 driverview.h matic.h kprintpreview.h kprinterimpl.h kprintdialog.h \
		 kpcopiespage.h kpdriverpage.h kprinterpropertydialog.h kpgeneralpage.h \
		 kpqtpage.h kprintprocess.h kmthreadjob.h kpipeprocess.h kdeprintd.h \
		 kpfilterpage.h kmspecialmanager.h kdeprintcheck.h plugincombobox.h \
		 kfilelist.h kpfileselectpage.h treecombobox.h kxmlcommand.h \
		 util.h driverparse.h printerfilter.h marginpreview.h marginwidget.h \
		 marginvaluewidget.h kpmarginpage.h messagewindow.h \
		 posterpreview.h kpposterpage.h


include_HEADERS = kprinter.h kprintaction.h

kdeprint_HEADERS = kprintdialogpage.h kpreloadobject.h kmmanager.h kmprinter.h kmobject.h kprintdialog.h \
		   driver.h kmjobmanager.h kmjob.h

kdeprintdir = $(includedir)/kdeprint

EXTRA_DIST = maticparser.yy maticscanner.ll kprintpreviewui.rc

# installation of UI files
uidata_DATA = kprintpreviewui.rc
uidatadir = $(kde_confdir)/ui

# Test page
printdata_DATA = testprint.ps specials.desktop
printdatadir = $(kde_datadir)/kdeprint

# Services
servicesdir = $(kde_servicesdir)/kded
services_DATA = kdeprintd.desktop

# Config file
configdir = $(kde_confdir)
config_DATA = kdeprintrc

noinst_DATA = kdeprint

CLEANFILES = kdeprint

# convenience static library
noinst_LIBRARIES = libdriverparse.a
libdriverparse_a_SOURCES = driverparse.c

update_DATA = kdeprintrc.upd
updatedir = $(kde_datadir)/kconf_update
subdir = kdeprint
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LIBRARIES = $(noinst_LIBRARIES)

libdriverparse_a_AR = $(AR) cru
libdriverparse_a_LIBADD =
am_libdriverparse_a_OBJECTS = driverparse.$(OBJEXT)
#>- libdriverparse_a_OBJECTS = $(am_libdriverparse_a_OBJECTS)
#>+ 1
libdriverparse_a_OBJECTS = driverparse.$(OBJEXT)
LTLIBRARIES = $(kde_module_LTLIBRARIES) $(lib_LTLIBRARIES)

kded_kdeprintd_la_DEPENDENCIES =
am_kded_kdeprintd_la_OBJECTS = kdeprintd.lo kprintprocess.lo
#>- kded_kdeprintd_la_OBJECTS = $(am_kded_kdeprintd_la_OBJECTS)
#>+ 4
kded_kdeprintd_la_final_OBJECTS = kded_kdeprintd_la.all_cpp.lo 
kded_kdeprintd_la_nofinal_OBJECTS = kdeprintd.lo kprintprocess.lo kdeprintd_skel.lo
@KDE_USE_FINAL_FALSE@kded_kdeprintd_la_OBJECTS = $(kded_kdeprintd_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@kded_kdeprintd_la_OBJECTS = $(kded_kdeprintd_la_final_OBJECTS)
am_libkdeprint_la_OBJECTS = kmfactory.lo kmjob.lo kmjobmanager.lo \
	kmmanager.lo kmprinter.lo kmuimanager.lo kmvirtualmanager.lo \
	driver.lo driveritem.lo droptionview.lo driverview.lo \
	maticscanner.lo maticparser.lo matic.lo kmdbentry.lo \
	kprintpreview.lo kprintdialog.lo kprinter.lo kprinterimpl.lo \
	kprintdialogpage.lo kpcopiespage.lo kpdriverpage.lo \
	kprinterpropertydialog.lo kpgeneralpage.lo kpqtpage.lo \
	kmthreadjob.lo kpipeprocess.lo kpfilterpage.lo \
	kmspecialmanager.lo kdeprintcheck.lo plugincombobox.lo \
	kpreloadobject.lo kfilelist.lo kprintaction.lo \
	kpfileselectpage.lo treecombobox.lo kxmlcommand.lo util.lo \
	printerfilter.lo marginpreview.lo marginvaluewidget.lo \
	marginwidget.lo kpmarginpage.lo messagewindow.lo \
	posterpreview.lo kpposterpage.lo
#>- libkdeprint_la_OBJECTS = $(am_libkdeprint_la_OBJECTS)
#>+ 17
libkdeprint_la_final_OBJECTS = libkdeprint_la.all_cpp.lo 
libkdeprint_la_nofinal_OBJECTS = kmfactory.lo kmjob.lo kmjobmanager.lo \
	kmmanager.lo kmprinter.lo kmuimanager.lo kmvirtualmanager.lo \
	driver.lo driveritem.lo droptionview.lo driverview.lo \
	maticscanner.lo maticparser.lo matic.lo kmdbentry.lo \
	kprintpreview.lo kprintdialog.lo kprinter.lo kprinterimpl.lo \
	kprintdialogpage.lo kpcopiespage.lo kpdriverpage.lo \
	kprinterpropertydialog.lo kpgeneralpage.lo kpqtpage.lo \
	kmthreadjob.lo kpipeprocess.lo kpfilterpage.lo \
	kmspecialmanager.lo kdeprintcheck.lo plugincombobox.lo \
	kpreloadobject.lo kfilelist.lo kprintaction.lo \
	kpfileselectpage.lo treecombobox.lo kxmlcommand.lo util.lo \
	printerfilter.lo marginpreview.lo marginvaluewidget.lo \
	marginwidget.lo kpmarginpage.lo messagewindow.lo \
	posterpreview.lo kpposterpage.lo kmfactory_skel.lo
@KDE_USE_FINAL_FALSE@libkdeprint_la_OBJECTS = $(libkdeprint_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@libkdeprint_la_OBJECTS = $(libkdeprint_la_final_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/driver.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/driveritem.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/driverparse.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/driverview.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/droptionview.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kdeprintcheck.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kdeprintd.Plo ./$(DEPDIR)/kfilelist.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kmdbentry.Plo ./$(DEPDIR)/kmfactory.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kmjob.Plo ./$(DEPDIR)/kmjobmanager.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kmmanager.Plo ./$(DEPDIR)/kmprinter.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kmspecialmanager.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kmthreadjob.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kmuimanager.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kmvirtualmanager.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kpcopiespage.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kpdriverpage.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kpfileselectpage.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kpfilterpage.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kpgeneralpage.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kpipeprocess.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kpmarginpage.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kpposterpage.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kpqtpage.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kpreloadobject.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kprintaction.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kprintdialog.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kprintdialogpage.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kprinter.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kprinterimpl.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kprinterpropertydialog.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kprintpreview.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kprintprocess.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kxmlcommand.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/marginpreview.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/marginvaluewidget.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/marginwidget.Plo ./$(DEPDIR)/matic.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/maticparser.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/maticscanner.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/messagewindow.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/plugincombobox.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/posterpreview.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/printerfilter.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/treecombobox.Plo ./$(DEPDIR)/util.Plo
#>+ 87
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@DEP_FILES =  $(DEPDIR)/kdeprintd_skel.P $(DEPDIR)/kmfactory_skel.P  $(DEPDIR)/kded_kdeprintd_la.all_cpp.P $(DEPDIR)/libkdeprint_la.all_cpp.P  ./$(DEPDIR)/driver.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/driveritem.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/driverparse.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/driverview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/droptionview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kdeprintcheck.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kdeprintd.Plo ./$(DEPDIR)/kfilelist.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kmdbentry.Plo ./$(DEPDIR)/kmfactory.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kmjob.Plo ./$(DEPDIR)/kmjobmanager.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kmmanager.Plo ./$(DEPDIR)/kmprinter.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kmspecialmanager.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kmthreadjob.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kmuimanager.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kmvirtualmanager.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kpcopiespage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kpdriverpage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kpfileselectpage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kpfilterpage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kpgeneralpage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kpipeprocess.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kpmarginpage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kpposterpage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kpqtpage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kpreloadobject.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kprintaction.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kprintdialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kprintdialogpage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kprinter.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kprinterimpl.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kprinterpropertydialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kprintpreview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kprintprocess.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kxmlcommand.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/marginpreview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/marginvaluewidget.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/marginwidget.Plo ./$(DEPDIR)/matic.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/maticparser.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/maticscanner.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/messagewindow.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/plugincombobox.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/posterpreview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/printerfilter.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/treecombobox.Plo ./$(DEPDIR)/util.Plo
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@DEP_FILES =  $(DEPDIR)/kdeprintd_skel.P $(DEPDIR)/kmfactory_skel.P  ./$(DEPDIR)/driver.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/driveritem.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/driverparse.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/driverview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/droptionview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kdeprintcheck.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kdeprintd.Plo ./$(DEPDIR)/kfilelist.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kmdbentry.Plo ./$(DEPDIR)/kmfactory.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kmjob.Plo ./$(DEPDIR)/kmjobmanager.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kmmanager.Plo ./$(DEPDIR)/kmprinter.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kmspecialmanager.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kmthreadjob.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kmuimanager.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kmvirtualmanager.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kpcopiespage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kpdriverpage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kpfileselectpage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kpfilterpage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kpgeneralpage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kpipeprocess.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kpmarginpage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kpposterpage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kpqtpage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kpreloadobject.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kprintaction.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kprintdialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kprintdialogpage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kprinter.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kprinterimpl.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kprinterpropertydialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kprintpreview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kprintprocess.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kxmlcommand.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/marginpreview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/marginvaluewidget.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/marginwidget.Plo ./$(DEPDIR)/matic.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/maticparser.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/maticscanner.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/messagewindow.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/plugincombobox.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/posterpreview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/printerfilter.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/treecombobox.Plo ./$(DEPDIR)/util.Plo

COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
#>- 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libdriverparse_a_SOURCES) $(kded_kdeprintd_la_SOURCES) \
	$(libkdeprint_la_SOURCES)
DATA = $(config_DATA) $(noinst_DATA) $(printdata_DATA) $(services_DATA) \
	$(uidata_DATA) $(update_DATA)

HEADERS = $(include_HEADERS) $(kdeprint_HEADERS) $(noinst_HEADERS)


RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
	ps-recursive install-info-recursive uninstall-info-recursive \
	all-recursive install-data-recursive install-exec-recursive \
	installdirs-recursive install-recursive uninstall-recursive \
	check-recursive installcheck-recursive
DIST_COMMON = $(include_HEADERS) $(kdeprint_HEADERS) $(noinst_HEADERS) \
	ChangeLog Makefile.am Makefile.in TODO
DIST_SUBDIRS = . management lpdunix cups lpr rlpr ext filters pics tools \
	tests
SOURCES = $(libdriverparse_a_SOURCES) $(kded_kdeprintd_la_SOURCES) $(libkdeprint_la_SOURCES)

#>- all: all-recursive
#>+ 1
all: docs-am  all-recursive

.SUFFIXES:
.SUFFIXES: .c .cpp .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --foreign  kdeprint/Makefile
#>+ 3
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kdeprint/Makefile
	cd $(top_srcdir) && perl admin/am_edit kdeprint/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

AR = ar

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
libdriverparse.a: $(libdriverparse_a_OBJECTS) $(libdriverparse_a_DEPENDENCIES) 
	-rm -f libdriverparse.a
	$(libdriverparse_a_AR) libdriverparse.a $(libdriverparse_a_OBJECTS) $(libdriverparse_a_LIBADD)
	$(RANLIB) libdriverparse.a
kde_moduleLTLIBRARIES_INSTALL = $(INSTALL)
install-kde_moduleLTLIBRARIES: $(kde_module_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(kde_moduledir)
	@list='$(kde_module_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(kde_moduleLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(kde_moduledir)/$$f"; \
	    $(LIBTOOL) --mode=install $(kde_moduleLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(kde_moduledir)/$$f; \
	  else :; fi; \
	done

uninstall-kde_moduleLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(kde_module_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(kde_moduledir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(kde_moduledir)/$$p; \
	done

clean-kde_moduleLTLIBRARIES:
	-test -z "$(kde_module_LTLIBRARIES)" || rm -f $(kde_module_LTLIBRARIES)
	@list='$(kde_module_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libLTLIBRARIES_INSTALL = $(INSTALL)
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
kded_kdeprintd.la: $(kded_kdeprintd_la_OBJECTS) $(kded_kdeprintd_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(kde_moduledir) $(kded_kdeprintd_la_LDFLAGS) $(kded_kdeprintd_la_OBJECTS) $(kded_kdeprintd_la_LIBADD) $(LIBS)
#>- libkdeprint.la: $(libkdeprint_la_OBJECTS) $(libkdeprint_la_DEPENDENCIES) 
#>+ 2
@KDE_USE_CLOSURE_TRUE@libkdeprint.la: libkdeprint.la.closure $(libkdeprint_la_OBJECTS) $(libkdeprint_la_DEPENDENCIES) 
@KDE_USE_CLOSURE_FALSE@libkdeprint.la: $(libkdeprint_la_OBJECTS) $(libkdeprint_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(libdir) $(libkdeprint_la_LDFLAGS) $(libkdeprint_la_OBJECTS) $(libkdeprint_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/driver.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/driveritem.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/driverparse.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/driverview.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/droptionview.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdeprintcheck.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kdeprintd.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kfilelist.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kmdbentry.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kmfactory.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kmjob.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kmjobmanager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kmmanager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kmprinter.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kmspecialmanager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kmthreadjob.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kmuimanager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kmvirtualmanager.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kpcopiespage.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kpdriverpage.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kpfileselectpage.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kpfilterpage.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kpgeneralpage.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kpipeprocess.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kpmarginpage.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kpposterpage.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kpqtpage.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kpreloadobject.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kprintaction.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kprintdialog.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kprintdialogpage.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kprinter.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kprinterimpl.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kprinterpropertydialog.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kprintpreview.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kprintprocess.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kxmlcommand.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/marginpreview.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/marginvaluewidget.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/marginwidget.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/matic.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maticparser.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maticscanner.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/messagewindow.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/plugincombobox.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/posterpreview.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/printerfilter.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/treecombobox.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Plo@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.c.o:
@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCC_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCC_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCC_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCC_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCC_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCC_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.c.lo:
@am__fastdepCC_TRUE@	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCC_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCC_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCC_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
configDATA_INSTALL = $(INSTALL_DATA)
install-configDATA: $(config_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(configdir)
	@list='$(config_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(configDATA_INSTALL) $$d$$p $(DESTDIR)$(configdir)/$$f"; \
	  $(configDATA_INSTALL) $$d$$p $(DESTDIR)$(configdir)/$$f; \
	done

uninstall-configDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(config_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(configdir)/$$f"; \
	  rm -f $(DESTDIR)$(configdir)/$$f; \
	done
printdataDATA_INSTALL = $(INSTALL_DATA)
install-printdataDATA: $(printdata_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(printdatadir)
	@list='$(printdata_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(printdataDATA_INSTALL) $$d$$p $(DESTDIR)$(printdatadir)/$$f"; \
	  $(printdataDATA_INSTALL) $$d$$p $(DESTDIR)$(printdatadir)/$$f; \
	done

uninstall-printdataDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(printdata_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(printdatadir)/$$f"; \
	  rm -f $(DESTDIR)$(printdatadir)/$$f; \
	done
servicesDATA_INSTALL = $(INSTALL_DATA)
install-servicesDATA: $(services_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(servicesdir)
	@list='$(services_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(servicesDATA_INSTALL) $$d$$p $(DESTDIR)$(servicesdir)/$$f"; \
	  $(servicesDATA_INSTALL) $$d$$p $(DESTDIR)$(servicesdir)/$$f; \
	done

uninstall-servicesDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(services_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(servicesdir)/$$f"; \
	  rm -f $(DESTDIR)$(servicesdir)/$$f; \
	done
uidataDATA_INSTALL = $(INSTALL_DATA)
install-uidataDATA: $(uidata_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(uidatadir)
	@list='$(uidata_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(uidataDATA_INSTALL) $$d$$p $(DESTDIR)$(uidatadir)/$$f"; \
	  $(uidataDATA_INSTALL) $$d$$p $(DESTDIR)$(uidatadir)/$$f; \
	done

uninstall-uidataDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(uidata_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(uidatadir)/$$f"; \
	  rm -f $(DESTDIR)$(uidatadir)/$$f; \
	done
updateDATA_INSTALL = $(INSTALL_DATA)
install-updateDATA: $(update_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(updatedir)
	@list='$(update_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(updateDATA_INSTALL) $$d$$p $(DESTDIR)$(updatedir)/$$f"; \
	  $(updateDATA_INSTALL) $$d$$p $(DESTDIR)$(updatedir)/$$f; \
	done

uninstall-updateDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(update_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(updatedir)/$$f"; \
	  rm -f $(DESTDIR)$(updatedir)/$$f; \
	done
includeHEADERS_INSTALL = $(INSTALL_HEADER)
install-includeHEADERS: $(include_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(includedir)
	@list='$(include_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(includeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(includedir)/$$f"; \
	  $(includeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(includedir)/$$f; \
	done

uninstall-includeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(include_HEADERS)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(includedir)/$$f"; \
	  rm -f $(DESTDIR)$(includedir)/$$f; \
	done
kdeprintHEADERS_INSTALL = $(INSTALL_HEADER)
install-kdeprintHEADERS: $(kdeprint_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(kdeprintdir)
	@list='$(kdeprint_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(kdeprintHEADERS_INSTALL) $$d$$p $(DESTDIR)$(kdeprintdir)/$$f"; \
	  $(kdeprintHEADERS_INSTALL) $$d$$p $(DESTDIR)$(kdeprintdir)/$$f; \
	done

uninstall-kdeprintHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(kdeprint_HEADERS)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(kdeprintdir)/$$f"; \
	  rm -f $(DESTDIR)$(kdeprintdir)/$$f; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 4
KDE_DIST=maticparser.cpp.h kdeprintd.desktop testprint.ps kdeprintrc.upd specials.desktop kdeprintrc signal_proc.c configure.in.in 

DISTFILES= $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)


top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$(top_distdir)" \
	        distdir=../$(distdir)/$$subdir \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile $(LIBRARIES) $(LTLIBRARIES) $(DATA) $(HEADERS)
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs) $(DESTDIR)$(kde_moduledir) $(DESTDIR)$(libdir) $(DESTDIR)$(configdir) $(DESTDIR)$(printdatadir) $(DESTDIR)$(servicesdir) $(DESTDIR)$(uidatadir) $(DESTDIR)$(updatedir) $(DESTDIR)$(includedir) $(DESTDIR)$(kdeprintdir)

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-recursive
#>+ 1
clean: kde-rpo-clean  clean-recursive

#>- clean-am: clean-generic clean-kde_moduleLTLIBRARIES clean-libLTLIBRARIES \
#>- 	clean-libtool clean-noinstLIBRARIES mostlyclean-am
#>+ 2
clean-am: clean-metasources clean-idl clean-closures clean-final  clean-generic clean-kde_moduleLTLIBRARIES clean-libLTLIBRARIES \
	clean-libtool clean-noinstLIBRARIES mostlyclean-am

distclean: distclean-recursive

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

#>- install-data-am: install-configDATA install-includeHEADERS \
#>- 	install-kde_moduleLTLIBRARIES install-kdeprintHEADERS \
#>- 	install-printdataDATA install-servicesDATA install-uidataDATA \
#>- 	install-updateDATA
#>+ 4
install-data-am:   install-configDATA install-includeHEADERS \
 install-kdeprintHEADERS \
	install-printdataDATA install-servicesDATA install-uidataDATA \
	install-updateDATA

#>- install-exec-am: install-libLTLIBRARIES
#>+ 1
install-exec-am:  install-libLTLIBRARIES install-kde_moduleLTLIBRARIES

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-configDATA uninstall-includeHEADERS \
	uninstall-info-am uninstall-kde_moduleLTLIBRARIES \
	uninstall-kdeprintHEADERS uninstall-libLTLIBRARIES \
	uninstall-printdataDATA uninstall-servicesDATA \
	uninstall-uidataDATA uninstall-updateDATA

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
	clean-generic clean-kde_moduleLTLIBRARIES clean-libLTLIBRARIES \
	clean-libtool clean-noinstLIBRARIES clean-recursive ctags \
	ctags-recursive distclean distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-recursive \
	distclean-tags distdir dvi dvi-am dvi-recursive info info-am \
	info-recursive install install-am install-configDATA \
	install-data install-data-am install-data-recursive \
	install-exec install-exec-am install-exec-recursive \
	install-includeHEADERS install-info install-info-am \
	install-info-recursive install-kde_moduleLTLIBRARIES \
	install-kdeprintHEADERS install-libLTLIBRARIES install-man \
	install-printdataDATA install-recursive install-servicesDATA \
	install-strip install-uidataDATA install-updateDATA \
	installcheck installcheck-am installdirs installdirs-am \
	installdirs-recursive maintainer-clean maintainer-clean-generic \
	maintainer-clean-recursive mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \
	pdf pdf-am pdf-recursive ps ps-am ps-recursive tags \
	tags-recursive uninstall uninstall-am uninstall-configDATA \
	uninstall-includeHEADERS uninstall-info-am \
	uninstall-info-recursive uninstall-kde_moduleLTLIBRARIES \
	uninstall-kdeprintHEADERS uninstall-libLTLIBRARIES \
	uninstall-printdataDATA uninstall-recursive \
	uninstall-servicesDATA uninstall-uidataDATA \
	uninstall-updateDATA


# parser and scanner
parser:
	bison -d -p matic $(srcdir)/maticparser.yy -o $(srcdir)/maticparser.cpp
	flex -omaticscanner.cpp -Pmatic $(srcdir)/maticscanner.ll
	echo "#ifndef maticparser_cpp_h" > $(srcdir)/maticparser.cpp.hh
	echo "#define maticparser_cpp_h" >> $(srcdir)/maticparser.cpp.hh
	cat $(srcdir)/maticparser.cpp.h >> $(srcdir)/maticparser.cpp.hh
	echo "#endif" >> $(srcdir)/maticparser.cpp.hh
	mv $(srcdir)/maticparser.cpp.hh $(srcdir)/maticparser.cpp.h

kdeprint:
	$(LN_S) $(srcdir)/management kdeprint
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 5
kdeprintd.kidl: $(srcdir)/kdeprintd.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/kdeprintd.h > kdeprintd.kidl || ( rm -f kdeprintd.kidl ; false )
kdeprintd_skel.cpp: kdeprintd.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub kdeprintd.kidl

#>+ 5
kmfactory.kidl: $(srcdir)/kmfactory.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/kmfactory.h > kmfactory.kidl || ( rm -f kmfactory.kidl ; false )
kmfactory_skel.cpp: kmfactory.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub kmfactory.kidl

#>+ 8
libkdeprint.la.closure: $(libkdeprint_la_OBJECTS) $(libkdeprint_la_DEPENDENCIES)
	@echo "int main() {return 0;}" > libkdeprint_la_closure.cpp
	@$(LTCXXCOMPILE) -c libkdeprint_la_closure.cpp
	$(CXXLINK) libkdeprint_la_closure.lo $(libkdeprint_la_LDFLAGS) $(libkdeprint_la_OBJECTS) $(libkdeprint_la_LIBADD) $(LIBS)
	@rm -f libkdeprint_la_closure.* libkdeprint.la.closure
	@echo "timestamp" > libkdeprint.la.closure


#>+ 3
posterpreview.moc: $(srcdir)/posterpreview.h
	$(MOC) $(srcdir)/posterpreview.h -o posterpreview.moc

#>+ 1
mocs: posterpreview.moc
#>+ 3
kprintdialog.moc: $(srcdir)/kprintdialog.h
	$(MOC) $(srcdir)/kprintdialog.h -o kprintdialog.moc

#>+ 1
mocs: kprintdialog.moc
#>+ 3
marginpreview.moc: $(srcdir)/marginpreview.h
	$(MOC) $(srcdir)/marginpreview.h -o marginpreview.moc

#>+ 1
mocs: marginpreview.moc
#>+ 3
kpposterpage.moc: $(srcdir)/kpposterpage.h
	$(MOC) $(srcdir)/kpposterpage.h -o kpposterpage.moc

#>+ 1
mocs: kpposterpage.moc
#>+ 3
kmjobmanager.moc: $(srcdir)/kmjobmanager.h
	$(MOC) $(srcdir)/kmjobmanager.h -o kmjobmanager.moc

#>+ 1
mocs: kmjobmanager.moc
#>+ 3
kpcopiespage.moc: $(srcdir)/kpcopiespage.h
	$(MOC) $(srcdir)/kpcopiespage.h -o kpcopiespage.moc

#>+ 1
mocs: kpcopiespage.moc
#>+ 3
messagewindow.moc: $(srcdir)/messagewindow.h
	$(MOC) $(srcdir)/messagewindow.h -o messagewindow.moc

#>+ 1
mocs: messagewindow.moc
#>+ 3
plugincombobox.moc: $(srcdir)/plugincombobox.h
	$(MOC) $(srcdir)/plugincombobox.h -o plugincombobox.moc

#>+ 1
mocs: plugincombobox.moc
#>+ 3
driverview.moc: $(srcdir)/driverview.h
	$(MOC) $(srcdir)/driverview.h -o driverview.moc

#>+ 1
mocs: driverview.moc
#>+ 3
kpgeneralpage.moc: $(srcdir)/kpgeneralpage.h
	$(MOC) $(srcdir)/kpgeneralpage.h -o kpgeneralpage.moc

#>+ 1
mocs: kpgeneralpage.moc
#>+ 3
kdeprintd.moc: $(srcdir)/kdeprintd.h
	$(MOC) $(srcdir)/kdeprintd.h -o kdeprintd.moc

#>+ 1
mocs: kdeprintd.moc
#>+ 3
kpfilterpage.moc: $(srcdir)/kpfilterpage.h
	$(MOC) $(srcdir)/kpfilterpage.h -o kpfilterpage.moc

#>+ 1
mocs: kpfilterpage.moc
#>+ 3
kprinterpropertydialog.moc: $(srcdir)/kprinterpropertydialog.h
	$(MOC) $(srcdir)/kprinterpropertydialog.h -o kprinterpropertydialog.moc

#>+ 1
mocs: kprinterpropertydialog.moc
#>+ 3
kmfactory.moc: $(srcdir)/kmfactory.h
	$(MOC) $(srcdir)/kmfactory.h -o kmfactory.moc

#>+ 1
mocs: kmfactory.moc
#>+ 3
kprintprocess.moc: $(srcdir)/kprintprocess.h
	$(MOC) $(srcdir)/kprintprocess.h -o kprintprocess.moc

#>+ 1
mocs: kprintprocess.moc
#>+ 3
kfilelist.moc: $(srcdir)/kfilelist.h
	$(MOC) $(srcdir)/kfilelist.h -o kfilelist.moc

#>+ 1
mocs: kfilelist.moc
#>+ 3
marginwidget.moc: $(srcdir)/marginwidget.h
	$(MOC) $(srcdir)/marginwidget.h -o marginwidget.moc

#>+ 1
mocs: marginwidget.moc
#>+ 3
droptionview.moc: $(srcdir)/droptionview.h
	$(MOC) $(srcdir)/droptionview.h -o droptionview.moc

#>+ 1
mocs: droptionview.moc
#>+ 3
kprinterimpl.moc: $(srcdir)/kprinterimpl.h
	$(MOC) $(srcdir)/kprinterimpl.h -o kprinterimpl.moc

#>+ 1
mocs: kprinterimpl.moc
#>+ 3
kprintdialogpage.moc: $(srcdir)/kprintdialogpage.h
	$(MOC) $(srcdir)/kprintdialogpage.h -o kprintdialogpage.moc

#>+ 1
mocs: kprintdialogpage.moc
#>+ 3
kpqtpage.moc: $(srcdir)/kpqtpage.h
	$(MOC) $(srcdir)/kpqtpage.h -o kpqtpage.moc

#>+ 1
mocs: kpqtpage.moc
#>+ 3
kprintpreview.moc: $(srcdir)/kprintpreview.h
	$(MOC) $(srcdir)/kprintpreview.h -o kprintpreview.moc

#>+ 1
mocs: kprintpreview.moc
#>+ 3
kmmanager.moc: $(srcdir)/kmmanager.h
	$(MOC) $(srcdir)/kmmanager.h -o kmmanager.moc

#>+ 1
mocs: kmmanager.moc
#>+ 3
marginvaluewidget.moc: $(srcdir)/marginvaluewidget.h
	$(MOC) $(srcdir)/marginvaluewidget.h -o marginvaluewidget.moc

#>+ 1
mocs: marginvaluewidget.moc
#>+ 3
kprintaction.moc: $(srcdir)/kprintaction.h
	$(MOC) $(srcdir)/kprintaction.h -o kprintaction.moc

#>+ 1
mocs: kprintaction.moc
#>+ 3
clean-metasources:
	-rm -f  posterpreview.moc kprintdialog.moc marginpreview.moc kpposterpage.moc kmjobmanager.moc kpcopiespage.moc messagewindow.moc plugincombobox.moc driverview.moc kpgeneralpage.moc kdeprintd.moc kpfilterpage.moc kprinterpropertydialog.moc kmfactory.moc kprintprocess.moc kfilelist.moc marginwidget.moc droptionview.moc kprinterimpl.moc kprintdialogpage.moc kpqtpage.moc kprintpreview.moc kmmanager.moc marginvaluewidget.moc kprintaction.moc

#>+ 5
clean-idl:
	-rm -f \
	kdeprintd_skel.cpp kdeprintd_skel.h kdeprintd.kidl \
	kmfactory_skel.cpp kmfactory_skel.h kmfactory.kidl 

#>+ 3
clean-closures:
	-rm -f  libkdeprint.la.closure

#>+ 2
docs-am:

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kdeprint/Makefile
	cd $(top_srcdir) && perl admin/am_edit kdeprint/Makefile.in


#>+ 11
kded_kdeprintd_la.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/kdeprintd.cpp $(srcdir)/kprintprocess.cpp kdeprintd_skel.cpp  kdeprintd.moc kprintprocess.moc
	@echo 'creating kded_kdeprintd_la.all_cpp.cpp ...'; \
	rm -f kded_kdeprintd_la.all_cpp.files kded_kdeprintd_la.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> kded_kdeprintd_la.all_cpp.final; \
	for file in kdeprintd.cpp kprintprocess.cpp kdeprintd_skel.cpp ; do \
	  echo "#include \"$$file\"" >> kded_kdeprintd_la.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> kded_kdeprintd_la.all_cpp.final; \
	done; \
	cat kded_kdeprintd_la.all_cpp.final kded_kdeprintd_la.all_cpp.files > kded_kdeprintd_la.all_cpp.cpp; \
	rm -f kded_kdeprintd_la.all_cpp.final kded_kdeprintd_la.all_cpp.files

#>+ 11
libkdeprint_la.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/kmfactory.cpp $(srcdir)/kmjob.cpp $(srcdir)/kmjobmanager.cpp $(srcdir)/kmmanager.cpp $(srcdir)/kmprinter.cpp $(srcdir)/kmuimanager.cpp $(srcdir)/kmvirtualmanager.cpp $(srcdir)/driver.cpp $(srcdir)/driveritem.cpp $(srcdir)/droptionview.cpp $(srcdir)/driverview.cpp $(srcdir)/maticscanner.cpp $(srcdir)/maticparser.cpp $(srcdir)/matic.cpp $(srcdir)/kmdbentry.cpp $(srcdir)/kprintpreview.cpp $(srcdir)/kprintdialog.cpp $(srcdir)/kprinter.cpp $(srcdir)/kprinterimpl.cpp $(srcdir)/kprintdialogpage.cpp $(srcdir)/kpcopiespage.cpp $(srcdir)/kpdriverpage.cpp $(srcdir)/kprinterpropertydialog.cpp $(srcdir)/kpgeneralpage.cpp $(srcdir)/kpqtpage.cpp $(srcdir)/kmthreadjob.cpp $(srcdir)/kpipeprocess.cpp $(srcdir)/kpfilterpage.cpp $(srcdir)/kmspecialmanager.cpp $(srcdir)/kdeprintcheck.cpp $(srcdir)/plugincombobox.cpp $(srcdir)/kpreloadobject.cpp $(srcdir)/kfilelist.cpp $(srcdir)/kprintaction.cpp $(srcdir)/kpfileselectpage.cpp $(srcdir)/treecombobox.cpp $(srcdir)/kxmlcommand.cpp $(srcdir)/util.cpp $(srcdir)/printerfilter.cpp $(srcdir)/marginpreview.cpp $(srcdir)/marginvaluewidget.cpp $(srcdir)/marginwidget.cpp $(srcdir)/kpmarginpage.cpp $(srcdir)/messagewindow.cpp $(srcdir)/posterpreview.cpp $(srcdir)/kpposterpage.cpp kmfactory_skel.cpp  kprintdialog.moc posterpreview.moc kpposterpage.moc marginpreview.moc kmjobmanager.moc kpcopiespage.moc messagewindow.moc plugincombobox.moc kpgeneralpage.moc driverview.moc kpfilterpage.moc kprinterpropertydialog.moc kmfactory.moc kfilelist.moc droptionview.moc marginwidget.moc kprinterimpl.moc kprintdialogpage.moc kprintpreview.moc kpqtpage.moc marginvaluewidget.moc kmmanager.moc kprintaction.moc
	@echo 'creating libkdeprint_la.all_cpp.cpp ...'; \
	rm -f libkdeprint_la.all_cpp.files libkdeprint_la.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> libkdeprint_la.all_cpp.final; \
	for file in kmfactory.cpp kmjob.cpp kmjobmanager.cpp kmmanager.cpp kmprinter.cpp kmuimanager.cpp kmvirtualmanager.cpp driver.cpp driveritem.cpp droptionview.cpp driverview.cpp maticscanner.cpp maticparser.cpp matic.cpp kmdbentry.cpp kprintpreview.cpp kprintdialog.cpp kprinter.cpp kprinterimpl.cpp kprintdialogpage.cpp kpcopiespage.cpp kpdriverpage.cpp kprinterpropertydialog.cpp kpgeneralpage.cpp kpqtpage.cpp kmthreadjob.cpp kpipeprocess.cpp kpfilterpage.cpp kmspecialmanager.cpp kdeprintcheck.cpp plugincombobox.cpp kpreloadobject.cpp kfilelist.cpp kprintaction.cpp kpfileselectpage.cpp treecombobox.cpp kxmlcommand.cpp util.cpp printerfilter.cpp marginpreview.cpp marginvaluewidget.cpp marginwidget.cpp kpmarginpage.cpp messagewindow.cpp posterpreview.cpp kpposterpage.cpp kmfactory_skel.cpp ; do \
	  echo "#include \"$$file\"" >> libkdeprint_la.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> libkdeprint_la.all_cpp.final; \
	done; \
	cat libkdeprint_la.all_cpp.final libkdeprint_la.all_cpp.files > libkdeprint_la.all_cpp.cpp; \
	rm -f libkdeprint_la.all_cpp.final libkdeprint_la.all_cpp.files

#>+ 3
clean-final:
	-rm -f kded_kdeprintd_la.all_cpp.cpp libkdeprint_la.all_cpp.cpp

#>+ 2
final:
	$(MAKE) kded_kdeprintd_la_OBJECTS="$(kded_kdeprintd_la_final_OBJECTS)" libkdeprint_la_OBJECTS="$(libkdeprint_la_final_OBJECTS)" all-am
#>+ 2
final-install:
	$(MAKE) kded_kdeprintd_la_OBJECTS="$(kded_kdeprintd_la_final_OBJECTS)" libkdeprint_la_OBJECTS="$(libkdeprint_la_final_OBJECTS)" install-am
#>+ 2
no-final:
	$(MAKE) kded_kdeprintd_la_OBJECTS="$(kded_kdeprintd_la_nofinal_OBJECTS)" libkdeprint_la_OBJECTS="$(libkdeprint_la_nofinal_OBJECTS)" all-am
#>+ 2
no-final-install:
	$(MAKE) kded_kdeprintd_la_OBJECTS="$(kded_kdeprintd_la_nofinal_OBJECTS)" libkdeprint_la_OBJECTS="$(libkdeprint_la_nofinal_OBJECTS)" install-am
#>+ 3
cvs-clean:
	$(MAKE) admindir=$(top_srcdir)/admin -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 51
kprinterimpl.lo: kprinterimpl.moc 
droptionview.lo: droptionview.moc 
kmfactory.lo: kmfactory.moc 
plugincombobox.lo: plugincombobox.moc 
posterpreview.o: posterpreview.moc 
kpfilterpage.o: kpfilterpage.moc 
kdeprintd.o: kdeprintd.moc 
plugincombobox.o: plugincombobox.moc 
kpcopiespage.lo: kpcopiespage.moc 
messagewindow.lo: messagewindow.moc 
marginpreview.o: marginpreview.moc 
kfilelist.lo: kfilelist.moc 
kpqtpage.lo: kpqtpage.moc 
kmjobmanager.o: kmjobmanager.moc 
kprintdialogpage.lo: kprintdialogpage.moc 
marginwidget.lo: marginwidget.moc 
kprintdialog.lo: kprintdialog.moc 
marginvaluewidget.lo: marginvaluewidget.moc 
kfilelist.o: kfilelist.moc 
kprinterpropertydialog.o: kprinterpropertydialog.moc 
droptionview.o: droptionview.moc 
kprintprocess.lo: kprintprocess.moc 
kpfilterpage.lo: kpfilterpage.moc 
kpposterpage.o: kpposterpage.moc 
kprintdialogpage.o: kprintdialogpage.moc 
kpgeneralpage.o: kpgeneralpage.moc 
kpcopiespage.o: kpcopiespage.moc 
marginvaluewidget.o: marginvaluewidget.moc 
kdeprintd.lo: kdeprintd.moc 
kprintprocess.o: kprintprocess.moc 
kprintpreview.o: kprintpreview.moc 
kmfactory.o: kmfactory.moc 
kpqtpage.o: kpqtpage.moc 
kpposterpage.lo: kpposterpage.moc 
kmjobmanager.lo: kmjobmanager.moc 
driverview.o: driverview.moc 
kprintaction.o: kprintaction.moc 
driverview.lo: driverview.moc 
kprintaction.lo: kprintaction.moc 
kprinterpropertydialog.lo: kprinterpropertydialog.moc 
kprintdialog.o: kprintdialog.moc 
marginwidget.o: marginwidget.moc 
kprintpreview.lo: kprintpreview.moc 
messagewindow.o: messagewindow.moc 
posterpreview.lo: posterpreview.moc 
kpgeneralpage.lo: kpgeneralpage.moc 
kprinterimpl.o: kprinterimpl.moc 
marginpreview.lo: marginpreview.moc 
kmmanager.o: kmmanager.moc 
kmmanager.lo: kmmanager.moc 
